%define rname	magicolor2530dl

Summary:	Cups Driver for KONICA MINOLTA magicolor 2530 DL
Name:		cups-drivers-%{rname}
Version:	2.1.1
%define subrel 1
Release:	%mkrel 23
License:	GPL
Group:		System/Printing
URL:		http://printer.konicaminolta.net/
Source0:	magicolor2530DL-%{version}.tar.gz
Patch0:		magicolor2530DL-shared_system_libs.diff
Patch1:		magicolor2530DL-2.1.1-automake-1.13.patch
Patch2:		magicolor2530DL-2.1.1-cups-2.2.patch
Patch3:		magicolor2530DL-lcms2.patch
BuildRequires:	automake
BuildRequires:	cups-devel
BuildRequires:	jbig-devel
BuildRequires:	pkgconfig(lcms2)
Requires:	cups
Conflicts:	cups-drivers = 2007
Conflicts:	printer-utils = 2007
Conflicts:	printer-filters = 2007

%description
This package contains KONICA MINOLTA CUPS LavaFlow stream(PCL-like) filter
rastertokm2530dl and the PPD file. The filter converts CUPS raster data to
KONICA MINOLTA LavaFlow stream.

This package contains CUPS drivers (PPD) for the following printers:

 o KONICA MINOLTA magicolor 2530 DL printer

%prep
%setup -q -n magicolor2530DL-%{version}
%patch0 -p0
%patch1 -p1 -b .automake-1_13
%patch2 -p1 -b .cups-2_2
%patch3 -p1 -b .lcms2

# Fix copy of CUPS headers in kmlf.h
perl -p -i -e 's:\bcups_strlcpy:_cups_strlcpy:g' src/kmlf.h

# Remove asterisks from group names in PPD file
gzip -dc src/km_en.ppd.gz | perl -p -e 's/(Group:\s+)\*/$1/g' | gzip > src/km_en.tmp.ppd.gz && mv -f src/km_en.tmp.ppd.gz src/km_en.ppd.gz

# Determine the directory for the CUPS filters using the correct method
perl -p -i -e 's:(CUPS_SERVERBIN=)"\$libdir/cups":$1`cups-config --serverbin`:' configure*

%build
autoreconf -vfi
%configure

%make_build

%install
%make_install

%files
%doc AUTHORS COPYING ChangeLog
%{_prefix}/lib/cups/filter/rastertokm2530dl
%{_datadir}/KONICA_MINOLTA/mc2530DL
%attr(0644,root,root) %{_datadir}/cups/model/KONICA_MINOLTA/km2530dl.ppd*


%changelog
* Wed Nov 30 2022 ns80 <ns80> 2.1.1-23.1.mga8
+ Revision: 1913275
- rebuild for new jbigkit (mga#31189)

* Wed Feb 12 2020 umeabot <umeabot> 2.1.1-23.mga8
+ Revision: 1511776
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.1.1-22.mga7
+ Revision: 1297364
- Mageia 7 Mass Rebuild

* Thu May 31 2018 wally <wally> 2.1.1-21.mga7
+ Revision: 1233290
- build with lcms2

* Thu Sep 22 2016 daviddavid <daviddavid> 2.1.1-20.mga6
+ Revision: 1055128
- add patch to fix build against cups 2.2

* Fri Feb 05 2016 umeabot <umeabot> 2.1.1-19.mga6
+ Revision: 939924
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-18.mga5
+ Revision: 750653
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-17.mga5
+ Revision: 678628
- Mageia 5 Mass Rebuild
+ spuhler <spuhler>
- reversed last change
- changed BuildRequires:  lcms-devel to lcms2-devel
  * we want to obsolete lcms

* Fri Oct 18 2013 umeabot <umeabot> 2.1.1-15.mga4
+ Revision: 503684
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.1.1-14.mga3
+ Revision: 348457
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 2.1.1-13.mga3
+ Revision: 338398
- patch1: fix build with automake 1.13

* Wed Feb 23 2011 ennael <ennael> 2.1.1-12.mga2
+ Revision: 57727
- imported package cups-drivers-magicolor2530dl


* Sun Jan 02 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-12mdv2011.0
+ Revision: 627566
- don't force the usage of automake1.7

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-11mdv2011.0
+ Revision: 603874
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-10mdv2010.1
+ Revision: 518846
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-9mdv2010.0
+ Revision: 413290
- rebuild

* Sat Jan 31 2009 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-8mdv2009.1
+ Revision: 335839
- rebuilt against new jbigkit major

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-7mdv2009.1
+ Revision: 318074
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.1.1-6mdv2009.0
+ Revision: 220545
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.1.1-5mdv2008.1
+ Revision: 149152
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-4mdv2008.0
+ Revision: 75331
- fix deps (pixel)

* Wed Aug 22 2007 Thierry Vignaud <tv@mandriva.org> 2.1.1-3mdv2008.0
+ Revision: 69004
- fix description

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-2mdv2008.0
+ Revision: 64152
- use the new System/Printing RPM GROUP

* Mon Aug 13 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-1mdv2008.0
+ Revision: 62514
- Import cups-drivers-magicolor2530dl



* Mon Aug 13 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-1mdv2008.0
- initial Mandriva package
